=== debian/changelog ===
waze (0.0.9) unstable; urgency=low
  * Added 'backlight stay lit only when plugged' option
  * Fixed the freeze that occured when data was transmitted, so no more 'Close application...' dialog.
  * Fixed network data compression (working 90% of the time)
  * Fixed adding a favorite caused crash
  * Fixed pinging a wazer caused crash
  * Fixed some crashes that occured when starting a new search
  * About menu changed a bit

 -- Assaf Paz (damagedspline) <damagedspline@gmail.com>  Tue, 15 May 2012 21:58:15 +0300

waze (0.0.8) unstable; urgency=low
  * Implement secured connections
  * Fixed empty mood list
  * Fixed empty car list

 -- Assaf Paz (damagedspline) <damagedspline@gmail.com>  Sat, 28 Apr 2012 19:26:44 +0300

waze (0.0.7) unstable; urgency=low
  * Rewrite the network layer to be based on Qt instead of kernel sockets
  * Rewrite the config layer to use QSettings
  * Rewrite the path+file layer to use QFile & QDir
  * Fix current traffic reports list dialog - reports not visible
  * Support multiuser environments (such as Linux and Windows)
  * Fix low battery warning still showing when charging

 -- Assaf Paz <damagedspline@gmail.com>  Wed, 18 Apr 2012 09:31:20 +0300

waze (0.0.6) unstable; urgency=low
  * Fix mislocation issue
  * Fix multitouch zoom on N9
  * Add to the Maemo/Meego repositories
  * Browser integration
  * Groups support
  * Coupons support
  * Business information support

 -- Assaf Paz <damagedspline@gmail.com>  Wed, 08 Feb 2012 20:08:54 +0200

waze (0.0.5) unstable; urgency=low
  * Upgrade the base code to Waze v2.4.0 which add a lot of features, like: (the next are taken from the Waze official changelog - with small comments where related to this Qt port)
  * ---------------------------------------------------------------
  * Complete voice guidance using natural text-to-speech capabilities (English USA and Canada only. More languages coming soon!)
  * Road shields and improved map graphics display (Qt port need fixing here)
  * Animated display of top contributing wazers
  * Automatic centering on map after panning
  * Night mode settings saved if not in auto night mode
  * Alert popup screen modification
  * Shuffle 'start driving' prompt (English only)
  * Alternative routes button in navigation menu and new display of routes selection on map
  * New ETA update messages
  * Improved routing request in case of poor network connectivity (Qt port need fixing here)
  * Async logs upload
  * Updated alerts list with number of comments and number of thumbs up
  * My waze menu (Qt port will modify this in future versions)
  * Vocal navigation instructions fix (for non English languages)
  * UTF Long text trimming
  * Various crash fixes

 -- Assaf Paz <damagedspline@gmail.com>  Mon, 16 Jan 2012 19:02:05 +0200

waze (0.0.4) unstable; urgency=low
  * Native keyboard support
  * Fix speed reading
  * Fix map download (hopefully)

 -- Assaf Paz <damagedspline@gmail.com>  Mon, 19 Dec 2011 20:37:49 +0200

waze (0.0.3) unstable; urgency=low
  * Navigate to a contact's saved address
  * Volume control (in general settings)
  * Disable screensaver (in general settings)
  * Fixed speed reading

 -- Assaf Paz <damagedspline@gmail.com>  Sat, 03 Dec 2011 20:07:17 +0200

waze (0.0.2) unstable; urgency=low
  * Fix the flickering
  * Make the media files (audio/images) not show on the gallery/mediaplayer

 -- Assaf Paz <damagedspline@gmail.com>  Wed, 23 Nov 2011 23:19:38 +0200

waze (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Assaf Paz <damagedspline@gmail.com>  Thu, 27 Oct 2011 20:03:37 +0200
