=== debian/control ===
Source: waze
Section: user/navigation
Priority: optional
Maintainer: Assaf Paz (damagedspline) <damagedspline@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, libqtm-dev
Standards-Version: 3.7.3
Homepage: http://code.google.com/p/waze-qt

Package: waze
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtquickcompat, libqtm-location | libqtm-12, libqtm-contacts | libqtm-12, libqtm-mutimedia | libqtm-12, libqtm-systeminfo | libqtm-12
Description: Waze is a free, community-based traffic & navigation app
 When you download Waze, you not only get free navigation, but also become part of the local driving community in your area, joining forces with other drivers nearby to outsmart traffic, save time and improve everyone's daily commute. All you have to do is drive, so get involved today!
XB-Maemo-Display-Name: Waze
XB-Maemo-Icon-26: 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
